BACKUP_LISTHOSTS(8)

NAME
backup_listhosts - Lists Tape Coordinators registered in the Backup Database

SYNOPSIS
backup listhosts [-localauth] [-cell <cell name>] [-help]

backup listh [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup listhosts command displays the Backup Database record of the port offset numbers defined for Tape Coordinator machines. A Tape Coordinator must have an entry in the list to be available for backup operations.

The existence of an entry does not necessarily indicate that the Tape Coordinator process (butc) is currently running at that port offset. To check, issue the backup status command.

OPTIONS

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
After a "Tape hosts:" header, the output reports two things about each Tape Coordinator currently defined in the Backup Database:

•   The hostname of the machine housing the Tape Coordinator. The format of this name depends on the hostname format used when the backup addhost command was issued.

•   The Tape Coordinator's port offset number.

The Tape Coordinators appear in the order in which they were added to the Backup Database.

EXAMPLES
The following example shows the result of the command in the Example Corporation cell:

   % backup listhosts
   Tape hosts:
       Host backup1.example.com, port offset 0
       Host backup1.example.com, port offset 1
       Host backup3.example.com, port offset 4
       Host backup2.example.com, port offset 3

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_addhost(8), backup_delhost(8), backup_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.